Imports System.Data.SqlClient
Imports Infragistics.WebUI
Imports Infragistics.WebUI.UltraWebGrid
Imports System.Configuration.ConfigurationManager
Imports System.Globalization
Imports System.Data
Imports System.Drawing
Imports System.Web.HttpContext
Imports System.IO


Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        BindData()

    End Sub

    Sub binddata()
        Dim objDS As DataSet
        Dim intCnt As Int32
        Dim StrColNm As String
        objDS = createDB()

        objDS.Relations.Add("Category2", objDS.Tables(0).Columns("Category"), objDS.Tables(1).Columns("Category"))

      
        uwgAdjust.DataSource = objDS.Tables(0)
        uwgAdjust.DataBind()
        uwgAdjust.Width = Unit.Pixel(800)

        uwgAdjust.DisplayLayout.TableLayout = TableLayout.Auto
        uwgAdjust.Bands(1).Columns.FromKey("Category").Hidden = True
        uwgAdjust.Bands(1).Columns.FromKey("AreaId").Hidden = True
        uwgAdjust.Bands(1).Columns.FromKey("AreaName").Width = Unit.Pixel(500)
        uwgAdjust.Bands(1).Columns.FromKey("M1").Width = Unit.Pixel(50)
        uwgAdjust.Bands(1).Columns.FromKey("M2").Width = Unit.Pixel(50)
        uwgAdjust.Bands(1).Columns.FromKey("M3").Width = Unit.Pixel(50)
        uwgAdjust.Bands(1).Indentation = 0


        For intCnt = 0 To uwgAdjust.Bands.Count - 1
            uwgAdjust.Bands(intCnt).ColFootersVisible = ShowMarginInfo.Yes
        Next
        For intCnt = 1 To uwgAdjust.Bands.Count - 1
            uwgAdjust.Bands(intCnt).ColHeadersVisible = ShowMarginInfo.No
        Next


      
        For intCnt = 1 To uwgAdjust.Bands(0).Columns.Count - 1
            StrColNm = uwgAdjust.Columns(intCnt).BaseColumnName '.ToUpper()
            If Not IsNothing(StrColNm) AndAlso StrColNm <> "" Then
                If StrColNm.StartsWith("Total") Then
                    uwgAdjust.Bands(0).Columns(intCnt).Header.Caption = StrColNm.Substring(5, StrColNm.Length - 5)
                Else
                    uwgAdjust.Bands(0).Columns(intCnt).Header.Caption = StrColNm.Substring(0, StrColNm.Length - 1)
                End If
            End If
            uwgAdjust.Bands(0).Columns(intCnt).Header.Style.HorizontalAlign = HorizontalAlign.Center
        Next
        ' band Footer Alignment
        Dim intCnt2 As Integer
        For intCnt2 = 0 To uwgAdjust.Bands.Count - 1
            For intCnt = 1 To uwgAdjust.Bands(intCnt2).Columns.Count - 1
                uwgAdjust.Bands(intCnt2).Columns(intCnt).CellStyle.HorizontalAlign = HorizontalAlign.Center
                If (uwgAdjust.Bands(intCnt2).Columns(intCnt).Footer.Caption = "") Then
                    uwgAdjust.Bands(intCnt2).Columns(intCnt).Footer.Total = SummaryInfo.Sum
                End If
                uwgAdjust.Bands(intCnt2).Columns(intCnt).Footer.Style.HorizontalAlign = HorizontalAlign.Center
            Next
        Next
        uwgAdjust.DisplayLayout.ColFootersVisibleDefault = ShowMarginInfo.No
        uwgAdjust.DisplayLayout.TableLayout = TableLayout.Fixed

        'Footer settings
        uwgAdjust.Bands(0).Columns(0).Footer.Total = SummaryInfo.Text
        uwgAdjust.Bands(0).Columns(0).Footer.Caption = "Total"
        uwgAdjust.Bands(1).Columns(1).Footer.Total = SummaryInfo.Text
        uwgAdjust.Bands(1).Columns(1).Footer.Caption = "SubTotal"



    End Sub


    Function createDB() As DataSet
        Dim ds As New DataSet
        ds.Tables.Add("Test1")

        ds.Tables(0).Columns.Add("Category", GetType(String))
        ds.Tables(0).Columns.Add("M1", GetType(Int32))
        ds.Tables(0).Columns.Add("M2", GetType(Int32))
        ds.Tables(0).Columns.Add("M3", GetType(Int32))

        Dim dr As DataRow

        Dim i As Int32
        i = 0
        While i < 2
            dr = ds.Tables(0).NewRow()
            If i < 1 Then
                dr("Category") = "Category 1"
            Else
                dr("Category") = "Category 2"
            End If
            dr("M1") = i * 1
            dr("M1") = i * 2
            dr("M1") = i * 3
            i += 1
            ds.Tables(0).Rows.Add(dr)
        End While



        ds.Tables.Add("Test2")

        ds.Tables(1).Columns.Add("AreaId", GetType(Int32))
        ds.Tables(1).Columns.Add("AreaName", GetType(String))
        ds.Tables(1).Columns.Add("Category", GetType(String))
        ds.Tables(1).Columns.Add("M1", GetType(Int32))
        ds.Tables(1).Columns.Add("M2", GetType(Int32))
        ds.Tables(1).Columns.Add("M3", GetType(Int32))

        i = 0
        While i < 10
            dr = ds.Tables(1).NewRow()
            dr("AreaId") = i
            dr("AreaName") = "Test " & i.ToString
            If i < 5 Then
                dr("Category") = "Category 1"
            Else
                dr("Category") = "Category 2"
            End If
            dr("M1") = i * 1
            dr("M1") = i * 2
            dr("M1") = i * 3
            i += 1
            ds.Tables(1).Rows.Add(dr)
        End While


        Return ds
    End Function
End Class
